Subject: Re: bug#15866: Gnutls elisp code doesn't properly check for file existence

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Nov 2013 20:51:17 -0500

> I am also thinking now about the FFI work (yes, it's somewhere on my
> TODO list) and how these issues will be handled there.  It seems that
> the FFI glue may have to tag filenames distinctly from plain strings and
> may even have some file existence checks and hooks.

I don't think the FFI should do that, no.  At least, for starters we'll
let each and every binding for a particular library deal with the
problem on a case-by-case basis.  And if/when this shows up repeatedly,
we can provide helper functions that give a "standard solution".

        Stefan